<?php
require 'facebook.php';
require 'funciones.php';
	$facebook = new Facebook(array('appId'  => '169990249681685','secret' => 'd62bb672e6d9fa45d4930a7bcdfb1eb5',));
	$user = $facebook->getUser();
	$autor = $facebook->api('/me');
	$ident = $autor['id'];
	
$elimRec = $_REQUEST['elimina'];
echo "Procesando y Redireccionando (Eliminando su receta)";
	$conexion05 = mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal", $conexion05);
	$queEmp5 = "DELETE FROM trecetas2 WHERE codigoR=$elimRec";
	$resEmp5 = mysql_query($queEmp5, $conexion05) or die(mysql_error());
	mysql_close($conexion05);

	
$cUser = mysql_connect("localhost","root","adfbk");
mysql_select_db("principal", $cUser);
$qUser = "SELECT * FROM tuser WHERE Usuario=$ident";
$rUser = mysql_query($qUser, $cUser) or die(mysql_error());
$nUser = mysql_num_rows($rUser);

if($nUser == 0) {
	echo "Error, no tiene recetas para eliminar";
}else {
	//El Usuario tiene Recetas creadas (decrementamos en 1)
	$recUser = "SELECT * FROM tuser WHERE Usuario=$ident";
	$resUser = mysql_query($recUser, $cUser) or die(mysql_error());
	$seleccionado = mysql_fetch_assoc($resUser);
	$recetas = $seleccionado['numRecetas'];
	$recetas --;
	$recUser2 = "UPDATE tuser SET numRecetas='$recetas' WHERE Usuario=$ident";
	$resUser2 = mysql_query($recUser2, $cUser) or die(mysql_error());
}
	//Eliminar de la tvaloraciones aquellas valoraciones relativas a $elimRec
	$elimValRece = "DELETE FROM tvaloracion2 WHERE codRVal=$elimRec";
	$reseliminac = mysql_query($elimValRece, $cUser) or die(mysql_error());

	//Actualizar valor medio recetas creadas por $ident
	$valorMedioCoci = mediaCocinero($ident);
	$recUser3 = "UPDATE tuser SET valorMedioCoc='$valorMedioCoci' WHERE Usuario=$ident";
	$resUser3 = mysql_query($recUser3, $cUser) or die(mysql_error());
	
mysql_close($cUser);

?>
<script type="text/javascript">
	window.location = "https://fbserver.dyndns-server.com/facebook/index03.php";
</script>
